MyGUI: MyGUI::FontManager Class Reference

MyGUI 3.4.3

Public Member Functions | Static Public Member Functions
MyGUI::FontManager Class Reference

`#include <MyGUI_FontManager.h>`

Inheritance diagram for MyGUI::FontManager:
[legend]

## Public Member Functions
| FontManager (const FontManager &)=delete
FontManager & | operator= (const FontManager &)=delete
| FontManager ()
void | initialise ()
void | shutdown ()
const std::string & | getDefaultFont () const
void | setDefaultFont (std::string_view _value)
IFont * | getByName (std::string_view _name) const
Public Member Functions inherited from MyGUI::MemberObsolete< FontManager >
bool | load (const std::string &_file)
void | loadOldFontFormat (xml::ElementPtr _node, std::string_view _file, Version _version, std::string_view _tag)

## Static Public Member Functions
static FontManager & | getInstance ()
static FontManager * | getInstancePtr ()
static std::string_view | getClassTypeName ()

## Detailed Description

Definition at line 21 of file MyGUI_FontManager.h.

## Constructor & Destructor Documentation

## ◆ FontManager() [1/2]

MyGUI::FontManager::FontManager | ( | const FontManager & |  | ) |
| delete

## ◆ FontManager() [2/2]

MyGUI::FontManager::FontManager | ( |  | ) |

Definition at line 20 of file MyGUI_FontManager.cpp.

## Member Function Documentation

## ◆ getByName()

IFont * MyGUI::FontManager::getByName | ( | std::string_view | _name | ) | const

Get font resource

Definition at line 89 of file MyGUI_FontManager.cpp.

## ◆ getClassTypeName()

std::string_view MyGUI::FontManager::getClassTypeName | ( |  | ) |
| static

## ◆ getDefaultFont()

const std::string & MyGUI::FontManager::getDefaultFont | ( |  | ) | const

Get default font name. Default skin also used when creating widget with skin that doesn't exist.

Definition at line 108 of file MyGUI_FontManager.cpp.

## ◆ getInstance()

FontManager & MyGUI::FontManager::getInstance | ( |  | ) |
| static

## ◆ getInstancePtr()

FontManager * MyGUI::FontManager::getInstancePtr | ( |  | ) |
| static

## ◆ initialise()

void MyGUI::FontManager::initialise | ( |  | ) |

Definition at line 28 of file MyGUI_FontManager.cpp.

## ◆ operator=()

FontManager & MyGUI::FontManager::operator= | ( | const FontManager & |  | ) |
| delete

## ◆ setDefaultFont()

void MyGUI::FontManager::setDefaultFont | ( | std::string_view | _value | ) |

Get default font name. Default skin also used when creating widget with skin that doesn't exist.

Definition at line 84 of file MyGUI_FontManager.cpp.

## ◆ shutdown()

void MyGUI::FontManager::shutdown | ( |  | ) |

Definition at line 46 of file MyGUI_FontManager.cpp.

The documentation for this class was generated from the following files:

- MyGUI_FontManager.h
- MyGUI_FontManager.cpp